Skip to navigation Skip to main content
11ty Logo Sustainability Fundraising
Eleventy
Eleventy Documentation
Stable
2.0.1
Canary
3.0.0-alpha.16
Toggle Menu
Eleventy 1.93s
Gatsby 29.05s

Major Version Upgrade Helper

Contents

Usage Jump to heading

Step 1 Upgrade Eleventy Jump to heading

Upgrade your project’s version of Eleventy with npm before using this helper plugin.

# Upgrading from Eleventy v0 to v1
npm install @11ty/eleventy@1

# Or, upgrading from Eleventy v1 to v2
npm install @11ty/eleventy@2

Step 2 Install the Helper Jump to heading

Then, install the helper plugin. The major version will match the version of Eleventy that you’re upgrading to.

# Upgrading from Eleventy v0 to v1
npm install @11ty/eleventy-upgrade-help@1

# Or, upgrading from Eleventy v1 to v2
npm install @11ty/eleventy-upgrade-help@2

Step 3 Add to Configuration File Jump to heading

Add to your configuration file (probably .eleventy.js or eleventy.config.js):

Filename .eleventy.js
const UpgradeHelper = require("@11ty/eleventy-upgrade-help");

module.exports = function (eleventyConfig) {
// If you have other `addPlugin` calls, it’s important that UpgradeHelper is added last.
eleventyConfig.addPlugin(UpgradeHelper);
};

Step 4 Run your Build Jump to heading

Run your usual build command (e.g. npm run build) and pay attention to the output.
Address any violations and warnings.

Step 5 Remove the plugin Jump to heading

Once you’ve removed all of the violations/warnings from your output, run npm uninstall @11ty/eleventy-upgrade-help to remove the plugin and delete the plugin code from your Eleventy configuration file.


Other pages in Official Plugins: